• 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧

Scons未能在Ubuntu 14.04上安装TMV(对于GalSim)

scons 来源:shuang_ipmu 5次浏览

我试图在我的Ubuntu 14.04笔记本电脑上安装TMV库(0.7.1),然后才能安装GalSim软件包。然而,它只是失败了,并给了这些信息:Scons未能在Ubuntu 14.04上安装TMV(对于GalSim)

scons的:阅读SConscript文件… 未知变量:[ ‘LINKFLAGS’]

我使用蟒蛇Python和scons的版本是:v2.3.4

而且,在我的MacOX 10.8的笔记本电脑,同样的TMV库可通过同一版本的scons的安装没有任何问题

非常感谢你,如果你能帮助我这个!

===========解决方案如下:

您是否需要手动指定额外的LINKFLAGS?什么是您的tmv_scons.conf文件中设置的标志?如果LINKFLAGS在那里,你可以尝试删除它,看看是否有效。


版权声明:本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系管理员进行删除。
喜欢 (0)